Test channel restrictions against a sample order
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/channels/{channelId}/test-restrictions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"restrictions": [
{}
],
"country": "AE",
"state": "Dubai",
"postal_code": "<string>",
"city": "<string>",
"order_total": 123,
"weight": 123,
"currency": "<string>",
"sku": "<string>",
"tag_names": [
"<string>"
]
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/channels/{channelId}/test-restrictions"
payload = {
"restrictions": [{}],
"country": "AE",
"state": "Dubai",
"postal_code": "<string>",
"city": "<string>",
"order_total": 123,
"weight": 123,
"currency": "<string>",
"sku": "<string>",
"tag_names": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
restrictions: [{}],
country: 'AE',
state: 'Dubai',
postal_code: '<string>',
city: '<string>',
order_total: 123,
weight: 123,
currency: '<string>',
sku: '<string>',
tag_names: ['<string>']
})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/channels/{channelId}/test-restrictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"eligible": true,
"reason_code": "<string>",
"message": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Channels
Test channel restrictions against a sample order
Evaluate a channel’s restriction rules against a sample order context and report
whether the order would be eligible for that channel. Optionally send a
restrictions draft to test unsaved rules instead of the channel’s saved rules.
Use GET /channels/restriction-fields to discover the available fields and operators.
POST
/
channels
/
{channelId}
/
test-restrictions
Test channel restrictions against a sample order
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
Channel ID
Body
application/json
Optional unsaved restriction ruleset to test instead of the channel's saved rules.
Example:
"AE"
Example:
"Dubai"
Response
Evaluation result
Show child attributes
Show child attributes